Cloud Alerts
Get alert
get
/triggers/{trigger_id}View a single Cloud Alert, including its condition, target, and actions.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
trigger_id*string
Respuestas
Successful Response
application/json
id*string
project_id*integer
name*string
description*string | null
target_type*TriggerTargetType
Valores
"vps""baremetal""availability_group""object_storage_bucket""organization"target_id*string
target_name?string | null
metric_type*TriggerMetricType
Valores
"cpu""ram""disk""network_in""network_out""storage_size_gb""storage_egress_gb_month""storage_error_rate_5xx""storage_error_rate_403""storage_cost_month"operator*TriggerOperator
Valores
"gt""lt""gte""lte""eq"threshold*number
duration_seconds*integer
cooldown_seconds*integer
status*TriggerStatus
Valores
"enabled""disabled""triggered""resolved"last_triggered_at*string | null
Formato
date-timelast_resolved_at*string | null
Formato
date-timecreated_at*string
Formato
date-timeupdated_at*string
Formato
date-timeactions?array<TriggerActionOut>
Propiedades (7)
id*string
action_type*TriggerActionType
Valores
"notify""destroy_vps""create_vps"notificator_id*string | null
config*record<string, any> | null
order*integer
enabled*boolean
created_at*string
Formato
date-time